== Changelog ==

= 2.46.1 - 2023-07-27 =
* Security fixes

= 2.46.0 - 2023-07-05 =
* Fix: Blocks were not rendering correctly on newer Block Editor versions.
* Fix: Shortcodes without giveaway IDs or wrong IDs won't trigger errors anymore.
* Giveaway Archive shortcode addition: rules=0 hides rules on Giveaways, category=category-name shows only giveaways from a certain category, status=active shows only active giveaways.
* [Premium] Elementor Giveaway element now can hide rules
* [Premium] Fix: Elementor Countdown element could trigger errors if no giveaway is selected
* [Business] WooCommerce: New WooCommerce Setting. If a product is bought through an order, it'll complete the action if such action exists in a giveaway where the billing email is also a subscriber
* [Business] WooCommerce: New WooCommerce Setting. Allows redirecting users to the giveaway page if a product is connected to it after a purchase.

= 2.45.1 - 2023-03-18 =
* Fix: XSS was possible on some form, prize and sharing method fields, if entered by the admin or editors.

= 2.45.0 - 2023-03-11 =
* New: Unsubscribe Link - Subscribers, if they want, can unsubscribe from giveaway emails they didn't request by themselves
* New: Visited From - You can now view where your subscribers came from when they subscribed (if the browser provides such information)
* Improvement: If there are prizes to award to winners and winners haven't been awarded yet, an alert will show before notifying winners
* Fix: Sometimes, there were some errors getting a giveaway object. This will now return to false if not possible without any errors.
* Fix: Code Editor when editing a Giveaway is now initialized when clicking the tab. Before, until clicked on the editor, it would hide the code.
* Fix: [Premium] Fixed WPForms Integration code to work on PHP 5.6.
* Update: Freemius

= 2.44.0 - 2022-10-03 =
* New: Giveaway Scripts - Add scripts for specific giveaway.
* New: [Premium] WPForms Integration
* New: [Business] WooCommerce Variations can be used to specifically define which giveaway and how much points
* Fix: Registration Action did not allow previously logged-in users to complete the action.

= 2.43.0 - 2022-06-13 =
* Fix: Fixing the warning when trying to complete an action.
* New: Form Field Type - Image. Users can now fill a field and upload an image if needed.

= 2.42.1 - 2022-03-12 =
* Fix: a warning was shown when trying to show a complete button text.
* Update: Licensing software.

= 2.42.0 - 2022-02-20 =
* Adding Entries to CSV Export
* Fix for deprecated privacy policy content hook
* Extra Actions Complete Button text is editable
* New Extra Actions category "Newsletter"
* [Premium] Mailerlite Extra Action - Award points if they signed up to your Mailerlite list.

= 2.41.1 - 2022-02-05 =

* Tested for 5.9.0
* [Pro] Fix small error on specific mandatory actions.

= 2.41.0 - 2022-01-08 =

* New: Settings Pages slightly redesigned.
* New: Allowed Email Domains - Allow only subscribers with such email domains.
* New: Disallowed Email Domains - Disallow subscribers with such email domains.
* New: [Premium] Specific Mandatory Actions - lock actions until other specific ones are completed.
* New: [Business] WooCommerce Restricted Giveaways - Restrict Giveaways to customers who purchased one of selected products.

= 2.40.1 - 2021-11-30 =

* Fix: Countdown labels were not translatable from Countdown scripts

= 2.40.0 - 2021-11-19 =
* New: Giveaway Option to show Prize Instructions to the Winners

* New: GamiPress Integration
* New: Disable Emails Setting
* New: Integrations have categories
* New: [Business] GiveWP: Award users for donations.

= 2.39.1 - 2021-09-13 =
* Fix: Updating about page to show every new feature.

= 2.39.0 - 2021-09-13 =

* New: Prize Instructions available for all versions.

* New: Prize instructions can be included in email by using {{PRIZE_INSTRUCTIONS}}.

* New: AutomatorWP - Action: Register someone to a Giveaway.

* New: [Premium] myCRED can display a dropdown with options to spend points for various entries.

* New: [Business] WooCommerce: you can globally select which products will award points and how much (fixed amount or same as product's price)

= 2.38.1 - 2021-08-17 =

* Fix: Integrations page would not load if AutomatorWP was not installed.

= 2.38.0 - 2021-08-15 =

* New: Winners block.

* New: Countdown block.

* New: Countdown labels are translatable. No need for external scripts.

* New: AutomatorWP Triggers when a user subscribes to a giveaway or wins it.

* New: [Premium] Giveaway for Only Logged-in Users now has options for login and registration urls to keep visitors interested.

* New: [Premium] myCRED points can be defined per giveaway now.

* New: [Business] AutomatorWP Trigger when a user completes an action.

* Fix: Mandatory Action text was not showing up.

= 2.37.1 - 2021-06-15 =

* New: Main Giveaway Page field in Giveaways to define where you host your shortcode or block.

* New: Main Giveaway Page field used everywhere. Defaults to the original giveaway page.

* Fix: Block Giveaway style issue.

* Fix: [Premium] MyCRED form did not show when show_entries was used.

= 2.37.0 - 2021-06-04 =

* New: Extra Actions icon colors.

* New: Manually choosing winners on giveaway edit page.

* New: Registration Action has now a redirect option in admin area.

* Fix: Not including SG Categories in case of some error.

* Fix: Compatibility issue with a new missing function.

* Fix: [Premium] Ticket Fields become removable if the Giveaway type changed from Winning Ticket.

* Fix: [Premium] Video iframe now resized to full width without overflow.

= 2.36.3 - 2021-05-06 =

* Refactoring major of the code.

* New: removed "Powered By Simple Giveaways" badge. It is opt-in from now on through settings page.

* Fix: Reports would not show data due to the major refactoring.

= 2.36.2 - 2021-05-03 =

* Refactoring the code.

= 2.36.1 - 2021-04-30 =

* Fix: Security fixes.

* Refactoring the code.

= 2.36.0 - 2021-04-23 =

* New: Sorting by Email or Giveaway under Entries

* New: Export Entries as CSV (uses giveaway or user filtering)

* New: Register/Login on Website Action

* New: Leave a Comment Action

* New: Form Fields can be used in native Subscribed Email

* New: Form Fields can be used in Winner Email

* New: Form Fields can be used in Reminder Email

* New: [Premium] FluentCRM Integration

* New: [Business] WooCommerce Followup Emails Integration - send a delayed email to someone who subscribes to the giveaway

* Fix: The "Show Content" button is now defined by the <!-- more --> tag in the editor

* Fix: Share link input is now fixed so the "copy" icon does not overlap the last few characters

* Fix: [Premium] Video on "Watch a YouTube video" action will be shown even if completed

* Fix: [Premium] Video on "Watch a YouTube video" action will be paused if we collapse the action

= 2.35.0 - 2021-02-24 =

* New: Email Previewer - For now, Subscriber email can be previewed. (Beta)

* New: Responsive Emails - Emails sent by Simple Giveaways are a bit more optimized and resize on smaller widths.

* New: Mandatory Actions - You can now set an Action to require 2 more actions to be completed before it becomes available.

* New: Timezone Option - You can decide to show the timezone in dates appearing in footer.

* New: [Premium] Watch a Youtube Video - reward users for watching a video. It can be completed only if the user has viewed to the end.

* New: [Premium] Invent Own - Add a description of what a user has to do. They then enter what they did (or link it where). You can then invalidate it if needed.

* New: [Premium] MailChimp Action - You can now add more than one list to your giveaway by actions and reward users if they subscribe.

* Fix: Footer Date & Time were not showing correctly. They used server time instead of site time (defined in WordPress general settings).

* Fix: Clicking on "Rules" in shortcode could trigger all rules to show if there are multiple giveaway shortcodes on the same page.

* Fix: When showing only two information at the top of shortcode (such as total entries and your entries), they would not be centered correctly.

* Fix: [Premium] Twitter Login now checks if users have agreed to the terms before and alerts them.

= 2.34.0 - 2020-12-24 =

* New: Setting to block subscribers from every other giveaway if they were blocked before.

* New: Giveaway in popup. You can now use a shortcode [giveaway_popup id={ID}] to have a button showing giveaway in popup.

* New: Default Rules template. Text copied from RafflePress and configured so you can use placeholders.

* New: Default Rules Placeholder for sponsors and similar.

* New: Rules can now be shown in the shortcode as well by setting rules=1.

* New: [Premium] Mailster custom fields support added in form fields.

* New: [Premium] Mailpoet custom fields support added in form fields.

* New: [Premium] Option to limit on how many giveaways a subscriber can join.

* New: [Business] WooCommerce Product can add extra entries when bought.

* New: [Business] Easy Digital Downloads Product can add extra entries when bought.

* Fix: Schedule options would not show again if moving from Evergreen type.

* Fix: Prize options would show inputs that are not related to the giveaway type.

* Fix: If only one prize is set, there won't be a slider initialized on the giveaway.

* Fix: [Premium] Non-Winner emails could sometimes be sent before giveaway winners are notified.

= 2.33.0 - 2020-10-17 =

* New: [giveaway_archive] shortcode to show all available giveaways (running or ended)

* New: Giveaway Categories

* New: Functions for getting templates (developers).

* Fix: (Premium) Mailster captcha triggered even on API call through giveaways.

* Fix: (Premium) MyCRED - placeholder on form added

= 2.32.3 - 2020-10-11 =

* Fix: Showing entries when spending myCRED points on the admin side.

* New: (Premium) Adding myCRED entry value where you define how much points you need to spend for entry.

= 2.32.2 - 2020-09-12 =

* Fix: Timestamps for Giveaway on front using offset instead of timezone settings.

* Fix: (Premium) If newsletter integrations are disabled for some giveaways, the default welcome email is used.

= 2.32.1 - 2020-08-30 =

* Fix: Subscriber Reminder - CRON fix.

* Fix: Footer Dates are now showing correct hours.

* Fix: (Premium) Twitter Actions methods threw warnings due to newer methods.

* Fix: (Premium) Question Other answer, if written but radio option still did not get picked, alert to pick an answer was shown.

* Refactor: (Premium) Question Other Answer - textarea input and automatically selects that option when focused.

= 2.32.0 - 2020-08-18 =

* New: Prizes can be awarded manually to winners.

* New: (Code) Hooking sharing methods so they can be excluded or the position changed (exp. below actions).

* New: Entry, Share and Activation links in emails are actual links in case some email clients are not rendering them as links.

* New: Licensing Software updated.

* New: (Premium) Drip Integration.

* New: (Premium) Mailerlite Integration.

* New: (Business) WooCommerce Integration - Action to award entries if a product has been purchased.

* New: (Business) Easy Digital Downloads Integration - Action to award entries if a product has been purchased.

= 2.31.1 - 2020-07-14 =

* Update: .po language file with new translations.

* Fix: (Premium) Showing awarded prizes when next to winners.

* Fix: (Premium) Ticket Type not displaying entered tickets as winners.

= 2.31.0 - 2020-06-06 =

* New: Subscriber Reminder - Remind subscribers that your giveaway will end soon. Set how many days before it will be sent.

* New: (Premium) Winning Ticket type - a new giveaway type to offer more of a marketing solution where no data is collected

* New: Subscribers Reminder action on each giveaways - Whenever you want to remind subscribers, you click the button.

* New: You can now retain all subscribers when cloning giveaways.

* New: Added {USER_EMAIL} placeholder in the first (welcome) email to subscribers.

* New: IP address can be saved if enabled inside of general settings. It will be shown in CSV export as well.

* New: Background Image of a giveaway is now set under Display Settings of a giveaway.

* New: Featured Image returned for each giveaway so your archive pages with giveaways can show a different image instead of the background.

* Fix: (Premium) Mailster - new subscribers would not be added.

* Fix: GDPR Terms and Privacy links will not be able to open in a new tab.

= 2.30.0 - 2020-03-06 =

* New: Plain Email Type added.

* New: Shortcode attribute show_total_entries to show total entries in the shortcode header if set to 1. Default: 0.

* New: Shortcode attribute show_entries to show subscriber's entries in the shortcode header if set to 1. Default: 0.

* New: Shortcode attribute countdown_in_header to show countdown in the shortcode header if set to 1. Default: 0.

* New: Shortcode attribute hide_winners_number to hide number of winners in the shortcode header if set to 1. Default: 0.

* New: Shortcode attribute hide_prize_value to hide prize value in the shortcode header if set to 1. Default: 0.

* New: Shortcode attribute hide_prize_title to hide prize title in the shortcode header if set to 1. Default: 0.

* New: Shortcode attribute content to show the giveaway content entered when editing giveaway if set to 1. Default: 0.

* New: Block "Giveaway" now has attributes from the shortcode as well.

* New: Block "Giveaway" has a new toolbar button "Reload Countdown/slider" in case the slider for prizes or countdown was not loaded (only for in-editor preview).

* New: URL and Number Form Field Types to trigger HTML5 errors if the fields are not in correct format.

* New: Facebook Login localisation option in the Integration settings.

* New: (Premium) Giveaway Type - Instant Win.

* New: (Premium) Daily Entries have now an icon to next to entry value to show subscribers they can return back in 24 hours.

* New: (Premium) Newsletter Integrations have a new option on each giveaway "Disable for this Giveaway" so you can disable newsletters for it.

* New: (Premium) Active Campaign - Referred By information can be disabled, set as a Tag or a Field in Settings.

* New: (Premium) Zero Bounce Integration - email validation service.

* New: (Premium) Twitter Login introduced as a new option when using Twitter Integration.

* New: (Premium) Elementor Integration - Giveaway Widget options updates to be the same as for the shortcode.

* New: (Premium) Question Action has an Open Answer option for people to enter any question.

* Refactor: New CSS defined for templates and shortcode.

* Refactor: Actions made more accessible by keyboard.

* Fix: Email validation done better.

* Fix: Form Field names auto-generate from label if non existent.

* Fix: (Premium) Active Campaign hides Giveaway related fields when building forms.

= 2.29.0 - 2020-02-10 =

* New: Form Fields in URL option - add field key and value in the URL as query strings.

* New: Referral Email - Email subscribers when someone subscribes from their referral link.

* New: Referred & Subscribe Entries - On entries page, you can now see even when a user just signs up or has referred someone.

* New: Shortcode - Only Form - You can now use only_form=1 to show only the form of the shortcode.

* New: Login again with email - Under the settings page, you can now allow people to use their email to subscribe again to show their subscribed page.

* New: Entries - Action Type Filter - You can use the filter to see all entries by the action type.

* New: (Premium) - Elementor Widgets - When building a landing page you can now also show the giveaway or parts of it. The widgets are: Giveaway, Form, Actions, Countdown, Leaderboard and Winners.

* New: (Premium) - Active Campaign - Tags - When someone subscribes to an AC list, they will be tagged by that giveaway as well. If someone is referred by another subscriber, they will get tagged with Referred By: EMAIL.

* New: (Premium) - Exclude Giveaway from Notifications.

* Fix: CSS fixes for shortcode.

* Fix: Template fixes in form builder.

= 2.28.2 - 2020-01-14 =

* Fix: Redirect link was also used in emails. Now it only uses the correct one (shortcode or landing page).

* Fix: Share Link could include reference parameter which might login another user.

* Fix: Share link attribute for sharing could be encoded incorrectly.

* Update: MailChimp Logo.

= 2.28.1 - 2020-01-03 =

* Fix: (Premium) Multiple Prizes test was included.

= 2.28.0 - 2020-01-02 =

* New: Multiple Prizes Layout. You can now show prizes vertically one after the other instead of the slider.

* New: Report: Actions - show which type of actions are used.

* New: Email Links now point to the page from where the user has subscribed. Shortcodes included.

* New: Entries - The page is now initially filled with extra entries if there are any.

* New: Entries - Giveaways Filter - you can now filter entries by the giveaway.

* New: Entries - All Subscriber Entries - there is a link under each entry email so you can filter them out by that one subscriber.

* New: (Premium) Awarding Multiple Prizes - you can now define how the prizes can be won and also chances.

* New: (Premium) Awarding Multiple Prizes: Instructions - You can define instructions for each prize that are sent to the winners.

* New: (Premium) Extra Action: Secret Code - You can add multiple secret codes. Those who has one, can get the extra entry.

* New: (Premium) MyCred Hook: Giveaway registration - You can now define a MyCred hook to award a user for entering a giveaway.

* New: (Premium) Notification Icon - You can now change the icon of the notification by entering a different HTML code.

* Fix: CSS for Multiple Prizes slider. Dots were not aligned correctly.

* Fix: Giveaway Value Icon changed from the dollar sign to a money bill to represent any currency/value.

* Update: Licensing software.

= 2.27.0 - 2019-11-28 =

* New: Evergreen Giveaway Type - every subscriber can win if he/she gets to the defined entries.

* New: Multiple Prizes option.

* New: Sharing Links in Shortcode (from 2.26.3).

* New: User Activation - if a subscriber was already subscribed to a different giveaway, he/she does not need to activate again.

* New: Report Options - you can now hide the report options to have a bigger view on the report data.

* New: (Premium) BuddyPress Integration - feed activity stream when someone subscribes. Add Giveaways tab under Profile.

* New: (Premium) Question Extra Action - action for people to gain entries when answering questions. Perfect for running polls for your business.

* New: (Premium) Edit Subscriber's Email.

* Fix: Show Content Button threshold - Content button will show only if there is enough content about the Giveaway

* Fix: CSS for entries on sharing method.

* Fix: Powered-by button opens in new window/tab.

* Fix: (Premium) MailChimp - Group/Tags selection shows on change through AJAX. No need to reload the page to see data.

* Update: Free and Premium slowly are separated so people can use both version activated.

= 2.26.3 - 2019-11-12 =

* New: Shortcode sharing links will now redirect people back to the page where the shortcode is.

= 2.26.2 - 2019-10-23 =

* Fix (Premium): Twitter Tweet Action on Entries table was not working

* Fix (Premium): Active Campaign was not sending new contacts to lists.

= 2.26.1 - 2019-10-20 =

* Fix: Email Title encoded entities such as the apostrophe.

* New: Form Fields have the Winner Field checkbox so you can define which data of the winner will be shown.

= 2.26.0 - 2019-10-18 =

* New: Winner CSV Export

* New: Image Extra Action - Allow subscribers to upload an image.

* New: Entries Page - View entries by Giveaways or Subscribers for extra entries with details.

* New: Facebook Field - map Facebook fields with Form Fields.

* New: Logged-in Users will have their email auto-filled and disabled.

* New: Sortable Extra Actions - define the orders of actions.

* New: Leaderboard shortcode cache will be reset when a Giveaway is saved.

* Redesign: Form Fields were redesigned for a better user experience and allowing more fields.

* Fix: Instagram Action was misspelled.

* Fix: Saving required fields of closed actions forms (in the admin area) produced errors which stopped giveaways from being saved/published.

* Update (Premium): All newsletter services form fields were updated to the new redesign layout.

* Update: Language .pot file with new strings.

= 2.25.2 - 2019-09-25 =

* Fix: Email template was not looking good when sent through Mailgun

* Fix: Extra Actions sometimes had empty alerts on errors.

= 2.25.1 - 2019-09-17 =

* New: Added 2 other shortcodes on the giveaway list

* Fix: Added CSS for leaderboard shortcode on giveaways.

* Fix: (Premium) Aweber Custom Fields were not saved as custom fields.

= 2.25.0 - 2019-09-14 =

* Removed: Google+ Share removed completely from the plugin as it was shutdown.

* New: Report to see Subscribed by date and giveaways.

* New: Redirect URL option on each Giveaway. You can set a different page to redirect the user. Be sure to use the Giveaway shortcode there.

* New: If the user is logged in, the form fields are using the field keys to get information from the user.

* New: Shortcode [giveaway_leaderboard] to show the leaderboards.

* New: (Premium) MailChimp users are now updated if they already exist with new group interests and other data.

* Update: Masking emails when displaying winners or leaderboards to protect the privacy and security of both the site owner and the subscribers.

* Update: Translations have been updated.

* Update: Documentation page with shortcode attributes.

* Fix: (Premium) ConvertKit - selected list under each Giveaway was not chosen always.

* Fix: (Premium) Aweber - selected list under each Giveaway was not chosen always.

* Fix: (Premium) Active Campaign - selected list under each Giveaway was not chosen always.

= 2.24.1 - 2019-08-15 =

* Fix: iOS devices did not open the extra actions form.

= 2.24.0 - 2019-08-13 =

* New: Unblock option. Subscribers that are blocked can now be unblocked.

* New: Giveaway Type: No Subscriber Page. Giveaway will always show the signup form.

* New: Permalink Option to change 'giveaway' endpoint in URL.

* New: Page Layout option now also puts sharing images in meta for social media to fetch.

* New: Twitter Account handle added alongside the Twitter Sharing image.

* New: (Premium) Daily actions are now available as an Integration. Each action can be set as a daily one.

* Redesign: Reports page redesigned and refactored to prepare it for new reports.

* Fix: There was an issue with Divi and Extra actions not opening up.

* Fix: (Premium) Non Winner email was not sent due to a recent database update.

* Fix: (Premium) Mailpoet fix. Main class was not loaded when needed.

* Fix: (Premium) Aweber throwed errors if a subscriber already existed.

* Fix: (Premium) Mailster was making existing subscribers pending again if double-optin was selected.

* Removed: Google+ Share Image option on each giveaway as Google+ shutdown.

= 2.23.1 - 2019-07-18 =

* Fix: Edit Form requested terms to be accepted. Not anymore as they were accepted when subscribing.

* Fix: Conflict with Facebook integration and OneSignal plugin.

= 2.23.0 - 2019-07-18 =

* New: Edit Form - Subscribers can now edit their data once subscribed (except email). New option, false by default.

* New: Facebook Social Login - Subscribers can enter using Facebook.

* New: Reports - Subscribers per day

* New: (Premium) MailChimp Group options

* Fix: Actions could not be used in the site layout option.

* Fix: (Premium) Aweber Name was sent incorrectly. Aweber changed its API.

* Fix: (Premium) Aweber reset was not resetting the connection correctly.

* Fix: (Premium) MailChimp Metabox list was not returning the correct list always.

= 2.22.2 - 2019-07-13 =

* Fix: Notices of undefined indexes on some items on the Subscribers admin page

* Fix: When email was re-sent from the Subscribers admin page, it would redirect the user to the first page. Now returns to the same page.

* Fix: When deleting a subscriber, all meta is deleted as well.

= 2.22.1 - 2019-07-04 =

* Fix: Warning notices about undefined variables on integration settings fixed.

* Fix: Showing Favicon on the regular Giveaway page. Favicon is used from Appearances > Customize option.

* Update: Updating the Freemius version to 2.3.0.

= 2.22.0 - 2019-06-28 =

* Refactor: Google+ Sharing Method removed from default methods displayed.

* New: Shortcode can display images as well with the attribute image=1.

* New: Shortcode will display winners.

* New: Form Field Types: Radio, Dropdown (select) and Checkbox.

* New: Form Fields included in exported CSV.

* New: Email Notification on each subscribe contains form field values.

* New: Share Link can be copied to clipboard with a click.

* Fix: If extra actions are not available anymore, there won't be any errors.

* PRO New: Twitter Tweet Extra Entry

* PRO New: MyCred Integration allows you to specify how much 1 mycred point will get you entries.

* PRO New: MailChimp GDPR Consent option so people will have to check the box to sign up.

= 2.21.0 - 2019-05-23 =

* New: Subscribers per page option to list more than 5. Default is 10.

* New: Subscribers can be searched by name.

* New: Winner display will now list winner names and not emails (if names are available) to improve privacy.

* New: Shortcode attribute redirect introduced. Default is 'self' to redirect on the same page. Options: 'giveaway' - giveaway page, or any URL.

* New: Activate Link is now also appended as a button in the email.

* New: Countdown Lang option to insert the link to translation file.

* Redesign: Shortcode and Block small redesign. Adding prize information on the top of the box.

* Improvement: Referrer will get extra points only once the referred subscriber activates the account. Fake emails will not be able to generate entries.

* PRO New: Twitter Follow Integration. Subscribers can now follow accounts for additional entries.

= 2.20.4 - 2019-05-23 =

* Fix: Email Activation Link auto-generated in the emails was incorrect.

* PRO Fix: Default Form Copy to Giveaways was not working.

= 2.20.3 - 2019-05-06 =

* Fix: Admin Dashboard Widget was not utilizing the styles correctly.

* Fix: Extra Actions could be completed more than once.

* Fix: Complete button from Extra Actions is removed upon first completion without page load.

* Fix: Giveaway Block JavaScript fix.

= 2.20.2 - 2019-04-26 =

* Fix: Giveaway Images and Logo could not be removed once added.

= 2.20.1 - 2019-04-24 =

* Fix: If Gutenberg not installed or used on lower than 5.0, an error might occur when registering blocks.

* Fix: assets such as CSS or JS were loaded incorrectly on some giveaway types.

* Fix: Version is added on install, so updates are not triggered on fresh install.

= 2.20.0 - 2019-04-23 =

* New: title attribute to Shortcode. Default set to 1.

* New: Subscribers can manually be added.

* New: Gutenberg Block for Giveaways.

* New: Extra Entries Actions Feature refactored and added to the free version.

* Redesign: Shortcode, Widget and Form fields.

* Refactor: Scripts and other HTML can now be added to Giveaway head or footer. Added CodeMirror script for better experience.

* Refactor: Added Webpack for handling & optimizing assets. Moved assets under one folder.

* PRO New: Ability to Copy the default form to each specific Giveaway.

* PRO New: Extra Action Twitter, Facebook and Instagram added.

= 2.19.0 =

* New: Added Sortable Placeholder in Form Field Manager.

* New: Option to remove links in the emails.

* New: Subscriber Statuses: Pending, Active, Blocked.

* New: Subscriber Block action.

* PRO New: Giveaway Specific Form Field Manager.

= 2.18.1 =

* Fix: Renamed the shortcode function to remove a conflict with the SendGrid plugin.

= 2.18.0 =

* New: Manual Activation in the Subscriber List

* New: Custom Email for new subscribers. Has entry, share and activation links applied.

* New: Custom Email for request links. Has entry, share and activation links applied.

* PRO New: Mailster integration.

* PRO New: Active Campaign Custom Fields added to Form Manager Fields

* PRO Refactor: Active Campaign integration uses their newest API (v3)

* Security Fix

= 2.17.3 =

* Added Class to Math Captcha container.

* Added a filter to programmatically hide the "Show/Hide Content" button.

* Updated the .pot file for translations.

= 2.17.2 =

* Fix: Giveaway Clone Tool did not allow to edit posts. Now it works.

* Fix: Giveaway did not show winners and end template if the statuses were Ended, Winners Chosen & Winners Notified (and the end time was still in the future). Now it does.

= 2.17.1 =

* Fix: Giveaway content was displayed above the title. Now it displays correctly.

= 2.17.0 =

* New: Giveaway Clone Feature.

* New: Shortcode giveaway_winners to show the Winners of the Giveaway.

* New: Setting to show the entries of each winner.

* New: Re-Send Email feature for each subscriber

* New: Email Logo and Email Colors

* Fix: Hiding the Show/Hide Content button if there is no content.

* PRO New: Custom Actions for Extra entries can have different colors now.

* PRO New: MailChimp Merge Tags added to Form Manager Fields.

* PRO New: ConvertKit Custom Fields added to Form Manager Fields.

* PRO Fix: Name field was not sent into the MailChimp List.

* PRO Fix: Name field was not sent into the Aweber List.

* PRO Fix: Name field was not sent into the ConvertKit List.

* PRO Fix: Name field was not sent into the Active Campaign List.

= 2.16.1 =

* PRO Fix: If MailPoet is deactivated, we won't receive an issue.

* Fix: Form Manager email field was not used to send emails.

= 2.16.0 =

* New: Form Field Manager.

* New: Subscriber Page.

* Fix: Sharing Methods can be completely removed.

* Fix: Users can't enter a giveaway before it's start date.

* PRO Fix: Subscribed users don't see their own in Notifications.

* Removed: Name Field Option since Form Field Manager has been introduced.

= 2.15.0 =

* Fix: Error when trying to delete a single subscriber.

* New: Tab "Emails" under Settings.

* New: Sender Email and Name for Giveaways.

* Refactor: Checking Theme Overrides for the global giveaway template (/giveaway/ folder in theme).

* Refactor: New email class for sending emails to enable future email templates.

* PRO New: Adding Custom Colors to Custom Sharing Methods.

* PRO New: myCRED Integration.

= 2.14.2 =

* Updated POT.

= 2.14.1 =

* Added updated POT file for translations.

= 2.14.0 =

* Updated Freemius SDK to 2.1.3.

* Fix: Added hour offsets for UTC timezone.

* Fix: CSS - layout of sharing methods.

* PRO: Added popup option for custom sharing methods

* PRO: Added Extra Actions which you can create.

= 2.13.1 =

* Fix: single giveaway page did not have the giveaway content.

* Fix: CSS specificity - Giveaway CSS applied to other elements on the site.

* Fix: Pro Notifications showing full emails. Now they're masked.

* Fix: Google Captcha was not showing when using site header and footer.

* Added: Facebook, Twitter and G+ sharing methods now open in new window.

= 2.13.0 =

* Showing winners in users column.

* Hiding Giveaway content on subscribers page.

* Math Captcha.

* Site's Header and Footer enabled.

* PRO: Added Notifications (FOMO).

= 2.12.0 =

* Fix: If winner(s) info is empty then the giveaway won't show that information on the page.

* Added Reselect winner(s) option

* Added customized messages when changing giveaway statuses.

* Added new Giveaway type: Logged-in (only for logged-in users).

* PRO: Added custom entry points per sharing method

= 2.11.2 =

* Fix: Yoast Shortcode Check Conflict causing fatal errors.

* Freemius Updated to 2.1.1 (Software licensing).

= 2.11.1 =

* Fix: Not centering images on Giveaway pages inside the content.

= 2.11.0 =

* Integrated with WordPress core GDPR Features.

* Added GDPR consent for entering the giveaway (if active).

* Giveaway UI Change when entering Giveaways.

* Added Activation. You can request subscribers to activate their subscription.

* Added new Giveaway Type: Limited.

* PRO: Added the ability to define Custom Sharing Methods

= 2.10.0 =

* Bug Fixed: Request for Subscibed Link was being sent only to non existing user. Now only to existing users.

* Bug Fixed: Checkboxes in Settings were reset if saving settings on different tabs. Properly saved now.

* Added Subscribers Page

* Added Email search in Subscribers Page (You can easily find all records for one email and delete them - GDPR Feature)

* Added Type under Prize box. New Complete Random Winner algorithm added.

* Added Username in the winner list if available

* Added Sharing Methods Settings. You can choose which sharing methods to use.

= 2.9.0 =

* Error Fixed: Adding HTTP if missing in Logo link.

* Added Translation: Romanian

* Added Referrer info in users list

* Added Winner display when Giveaway ended

* Added Name in CSV Export

* Added Style input in Settings for custom styles

* PRO: Added MailPoet v3 Integration

= 2.8.1 =

* Error Fixed: Not calling end timestamp if end date is not defined.

* Added Translation: Romanian

* PRO: Added Double Optin option in MailChimp Integration

* PRO: Fixed Aweber error handling

* PRO: Improved Integration activation.

= 2.8.0 =

* Bug Fixed: Added the front class on the admin side if a shortcode is processed.

* Design Fixed: Spaces in templates, shortcode and widget.

* Bug Fixed: Winners translation is now fully translatable. Bug with Poedit tool.

* Added Name field as an option

* PRO: Added Active Campaign Integration

= 2.7.0 =

* Enhancement: New Icons in Templates. More responsive templates.

* New Feature: General Setting - Notify on each subscription

* PRO: Added ConvertKit Integration

= 2.6.2 =

* Enhancement: Get alerted if a winner announcement date is before the end date.

* Enhancement: When changing the end date, the winner announcement date will be set the same if defined sooner.

* Enhancement: Added Giveaway Dates to the list of all giveaways

* Enhancement: Added Actions to End the Giveaway, Select/Notify Winner(s) and Download the CSV right from the list of all giveaways.

* Added Malaysian Words on Countdown per request.

* Added Winner Email Subject

* PRO: Added Aweber Autoresponder Integration

= 2.6.1 =

* Bug Fixed: Admin CSS - Datepicker not showing due to some plugin conflicts

* Bug Fixed: MailChimp Integration Fix

= 2.6.0 =

* Added button to list users on the list of all giveaways

* Added Integration page

* Added Integration classes for extensibility

* PRO: Added MailChimp Integration

= 2.5.0 =

* Adding Conditional Text on Settings > Conditionals to show the number of subscribed users

* Logged in users can enter the giveaway without entering email

* New list of subscribed users.

* PRO: Extra conditional fields

* PRO: Entries of each subscribed user can be edited

= 2.4.3 =

* Fixing notice on undefined index of Google reCaptcha

= 2.4.2 =

* Fixed Style & Functionality in Shortcode/Widget

* PRO: Added Placeholders to Non Winner Emails

* PRO: Sending Email to 'Bcc' instead of 'To'

= 2.4.1 =

* Added two actions on user registeration & update

= 2.4.0 =

* Share is now available through ID instead of hash

* Hash created on registration, not on page load to remove page caching issue

* Added Header & Footer boxes to insert scripts

* Option to change the text on the Rules button

= 2.3.5 =

* Removing duplicate entries for currently running giveaways

= 2.3.4 =

* Strenghtening the Reference ID

= 2.3.3 =

* Improved Reference ID. Disabling same Reference IDs

= 2.3.2 =

* Fixed share link in registration email

* Improved Polish translation

= 2.3.1 =

* Localized End & Winner Date formats on templates

= 2.3.0 =

* Added countdown localization for: Polish, Italian, Croatian, German & French

= 2.2.8 =

* Fixed Bug: Shortcode & Widget Countdown throws an error

* Added a simple metabox for Idea information

= 2.2.7 =

* Few new fixes for timezone display & calculation

= 2.2.6 =

* Added Fix from 2.2.5 to already running Giveaways

= 2.2.5 =

* Fixed Templates for Ending & Countdown

= 2.2.4 =

* Scheduling Fixed

= 2.2.3 =

* Widget CSS fix

* Added input to link the logo

= 2.2.2 =

* Compatibility fix for lower PHP version

= 2.2.1 =

* Fix on a code to be compatible with lower PHP version

= 2.2.0 =

* Subscribed Column

* Input for settings are larger

* PRO: Removed Old Scheduled Automation if the Giveaway changed the date

* PRO: Non Winner Emails

= 2.1.3 =

* Added Widget Subscribed Screen

= 2.1.2 =

* Shortcode Fix

* Widget Title changed

= 2.1.1 =

* Activation Correction

= 2.1.0 =

* Shortcode

* Refactored Giveaway user recognition

* Translation update

= 2.0.0 =

* 2 Tables for better future scale

* Widget

* Template Changes

= 1.4.1 =

* Template Changes

= 1.4 =

* Flushing Rewrite Rules on Activation

= 1.3.1 =

* Corrected Styles

* Displays Correct Timezone Abbreviation

* Corrected the rendering of the content ( oEmbed, Galleries, ... )

= 1.3 =

* Added Freemius support for easier upgrade to PRO version

= 1.2.3 =

* Fixing Admin Display for the Color Picker

= 1.2.2 =

* Editable Subscriber Email

= 1.2.1 =

* Better documentation

= 1.2 =

* Added documentation

* Fixed JavaScript bug on Images

= 1.1 =

* Welcome Email for Subscribers

= 1.0 =

* Initial commit

